(defun other-window-backward ()  ; this is a function to combine on M-up keyset, to active 
  "Back one window"
  (interactive)
  (other-window -1))

(defun line-to-top ()
  "Move cursor to top"
  (interactive)
  (recenter 0)
)

(global-set-key "\M-c" 'clipboard-kill-ring-save)
(global-set-key "\M-'" 'line-to-top)
(global-set-key [M-left] 'previous-buffer)
(global-set-key [M-right] 'next-buffer)
(global-set-key [M-up] 'other-window-backward)
(global-set-key [M-down] 'other-window)
(global-set-key [M-kp-add] 'enlarge-window)
(global-set-key "\M-]"  'enlarge-window)
(global-set-key [M-kp-subtract] 'shrink-window)
(global-set-key "\M-[" 'shrink-window)
(global-set-key "\M-s" 'save-buffer)
(global-set-key "\M-a" 'mark-whole-buffer)
(global-set-key [f8] 'menu-bar-mode)

(tool-bar-mode nil)
(menu-bar-mode nil)
(scroll-bar-mode nil)


(setq-default cursor-type 'bar)   
(blink-cursor-mode 1)  

(auto-image-file-mode t)  


(setq browse-url-generic-program (executable-find "google-chrome")) 
(setq browse-url-browser-function 'browse-url-generic) 


(setq frame-title-format "yuleshow@%b")

;; ========= Set colours ==========

;; Set cursor and mouse-pointer colours
(set-cursor-color "green1")
(set-mouse-color "goldenrod")

;; Set region background colour
(set-face-background 'region "white")

;; Set emacs background colour
; (set-background-color "black")
(set-background-color "#000000002B2B")
(set-foreground-color "green1")

; (setq default-frame-alist
;      (append default-frame-alist
;	      '((foreground-color."green1")
;		(background-color."black")
;		(cursor-color."green1")
;)


(add-to-list 'load-path "~/.emacs.d/site-lisp/wubi")
(require 'wubi)
(wubi-load-local-phrases) ; add user's Wubi phrases
(register-input-method
 "chinese-wubi" "Chinese-GB" 'quail-use-package
 "WuBi" "WuBi"
 "wubi")
(setq default-input-method "chinese-wubi")


(add-to-list 'load-path "/usr/share/emacs/site-lisp/w3m")
(require 'w3m-load)
;; (require 'w3m-e21)
;; (provide 'w3m-e23)
(setq w3m-use-favicon nil)
(setq w3m-command-arguments '("-cookie" "-F"))
(setq w3m-use-cookies t)
(setq w3m-home-page "http://www.yuleshow.com")
(setq w3m-display-inline-image t)

;; (add-to-list ‘load-path “~/.emacs.d/site-lisp”)
;; (require ‘cygwin-mount)
;; (cygwin-mount-activate)
(setq evernote-enml-formatter-command '("w3m" "-dump" "-I" "UTF8" "-O" "UTF8")) ; option
(add-to-list 'load-path "~/.emacs.d/site-lisp")
(require 'evernote-mode)
(global-set-key "\C-cec" 'evernote-create-note)
(global-set-key "\C-ceo" 'evernote-open-note)
(global-set-key "\C-ces" 'evernote-search-notes)
(global-set-key "\C-ceS" 'evernote-do-saved-search)
(global-set-key "\C-cew" 'evernote-write-note)
(global-set-key "\C-cep" 'evernote-post-region)
(global-set-key "\C-ceb" 'evernote-browser)



(require 'jabber-autoloads)

(setq jabber-account-list '(
			    ("yuleshow@gmail.com"
;;			      (:password.”*************”)
			     (:network-server . "talk.google.com")
			     (:port . 443)
			     (:connection-type . ssl))
                            ))

(custom-set-variables
  ;; custom-set-variables was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 '(font-use-system-font t)
 '(tool-bar-mode nil)
 '(weblogger-config-alist (quote (("default" "http://www.yuleshow.com/wordpress/xmlrpc.php" "Yule Show" "" "1")))))
(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 '(default ((t (:inherit nil :stipple nil :background "black" :foreground "green1" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight light :height 143 :width normal :foundry "unknown" :family "Ubuntu")))))

(require 'weblogger)


(add-to-list 'load-path "~/.emacs.d/site-lisp/twittering-mode")
(require 'twittering-mode)

(setq twittering-use-ssl nil
twittering-oauth-use-ssl nil)
(setq twittering-icon-mode 1)
(setq twittering-enabled-services '(sina))
(setq twittering-accounts '((sina (username "yuleshow@mac.com")
				  (auth oauth))))


(require 'edit-server)
(edit-server-start)